DELETE
Cancel a batch scrape
Cancel a running batch scrape job started with POST /batch/scrape. Has no effect on a job that is no longer cancellable.

Path parameters

  • id (string, required): Batch scrape job ID returned by POST /batch/scrape.

Responses

  • 200: Confirmation with the job’s status.
  • 404: Batch scrape job not found.
  • 409: Batch scrape workflow is no longer cancellable.
  • 503: Temporal or batch scrape result store unavailable.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Batch scrape job ID returned by POST /batch/scrape.

Response

Workflow cancellation requested

status
enum<string>
required

Current state of a batch scrape job.

Available options:
scraping,
completed,
failed,
cancelled